Format
Date: 2016-06-24

java.text

## Class Format

- java.lang.Object
- - java.text.Format

- All Implemented Interfaces:
    Serializable, Cloneable
  Direct Known Subclasses:
    DateFormat, MessageFormat, NumberFormat

      public abstract class Format
      extends Object
      implements Serializable, Cloneable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Format.Field`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Format()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `String` | `format(Object var0)`
    `abstract StringBuffer` | `format(Object var0, StringBuffer var1, FieldPosition var2)`
    `AttributedCharacterIterator` | `formatToCharacterIterator(Object var0)`
    `Object` | `parseObject(String var0)`
    `abstract Object` | `parseObject(String var0, ParsePosition var1)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Format

          public Format()

  - ### Method Detail

    - #### clone

          public Object clone()

      Overrides:
        `clone` in class `Object`

    - #### format

          public final String format(Object var0)

    - #### format

          public abstract StringBuffer format(Object var0,
                            StringBuffer var1,
                            FieldPosition var2)

    - #### formatToCharacterIterator

          public AttributedCharacterIterator formatToCharacterIterator(Object var0)

    - #### parseObject

          public Object parseObject(String var0)
                             throws ParseException

      Throws:
        `ParseException`

    - #### parseObject

          public abstract Object parseObject(String var0,
                           ParsePosition var1)